mod is_admin;
mod job;
mod job_id;
mod job_kill;
mod job_list;
mod job_spawn;
mod job_tag;

#[cfg(all(unix, feature = "os"))]
mod job_unfreeze;

#[cfg(not(target_family = "wasm"))]
mod job_flush;
#[cfg(not(target_family = "wasm"))]
mod job_recv;
#[cfg(not(target_family = "wasm"))]
mod job_send;

pub use is_admin::IsAdmin;
pub use job::Job;
pub use job_id::JobId;
pub use job_kill::JobKill;
pub use job_list::JobList;
pub use job_spawn::JobSpawn;
pub use job_tag::JobTag;

#[cfg(not(target_family = "wasm"))]
pub use job_flush::JobFlush;
#[cfg(not(target_family = "wasm"))]
pub use job_recv::JobRecv;
#[cfg(not(target_family = "wasm"))]
pub use job_send::JobSend;

#[cfg(all(unix, feature = "os"))]
pub use job_unfreeze::JobUnfreeze;
